Partners

Update Partner User Context

Update a partner user context

post
/v1/partner/user/{userId}/context/{contextId}/update

Authorization

ChatBotKit API Secret * Required

HTTP Authorization Scheme: bearer

Path Parameters

userIdstring* Required

The ID of the partner user

contextIdstring* Required

The ID of the context to update

Request Body * Required

Request Body Schema: application/json

namestring

The associated name

descriptionstring

The associated description

metaobject

Meta data information

payloadobject

Context payload

import { ChatBotKit } from '@chatbotkit/sdk'

const cbk = new ChatBotKit({

secret: process.env.CHATBOTKIT_API_KEY!

})

const response = await cbk.partner.user.context.update(

userId, contextId,
{
"name":"string",
"description":"string",
"meta":"object",
"payload":"object"
}
)
{
"id":"string"
}
The context was updated successfully